#ifndef KYSEC_DB_EXEC_H
#define KYSEC_DB_EXEC_H

#define MAX_SQL_BUF_LEN 2048

enum kysec_db_type {	
	KYSECDB_SYNC_DAEMON = 0,	/* kysec-sync-daemon */
	KYSECDB_DAEMON,		/* kysec-daemon */	
	KYSECDB_MAX			/* kysec log max type, limited value */
};

#ifdef __cplusplus
extern "C" {
#endif

/* kysec日志记录接口
 * @prority: 取值kysec_log_type枚举
 * @op: 指添加、删除、更新白名单等具体操作，该字符串长度不能超过100
 * @obj: 指当前的操作对象，该字符串长度不能超过PATH_MAX
 * @format: 指具体的失败信息，或想要记录的任何信息均可，该字符串长度不能超过1024
 */
void kysec_db_exec(int type, int prority, char *sql);

#ifdef __cplusplus
}
#endif

#endif /* KYSEC_DB_EXEC_H */
